Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0005921opensim[REGION] OpenSim Corepublic2012-03-07 12:002014-07-29 13:41
Reportercmickeyb 
Assigned Tocmickeyb 
PrioritynormalSeverityfeatureReproducibilityN/A
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Versionmaster (dev code) 
Target Versionmaster (dev code)Fixed in Versionmaster (dev code) 
Summary0005921: Serialize all connections to a specific TCP host:port pair through WebUtils
DescriptionThis is an experimental patch that puts a lock around HTTP requests sent to a specific service (as identified by a host:port pair). The effect is to ensure that there is at most one outstanding request to the service. This is particularly important with mono where concurrent connections can cause significant performance problems.

Please evaluate the patch & report your findings.
TagsNo tags attached.
Git Revision or version numberNA
Run ModeStandalone (1 Region)
Physics EngineBasicPhysics
EnvironmentUnknown
Mono VersionNone
Viewer
Attached Filespatch file icon SerializeWebRequests.patch [^] (3,022 bytes) 2012-03-07 12:00 [Show Content]

- Relationships

-  Notes
(0021066)
justincc (administrator)
2012-03-09 17:41

If this were to be used, should it also apply to the likes of AsynchronousRestObjectRequester.MakeRequest() also in WebUtil?
(0021067)
Diva (administrator)
2012-03-09 17:43

FYI I'm about to test this on a linux grid.
(0021069)
Diva (administrator)
2012-03-09 20:41

I tested on 2 grided sims, each with 9 regions (3x3) and a server-side DrawDistance of 6x6 regions. In other words, child agents in all 18 regions. The position updates don't show any issues, and neither do crossings/TPs.
(0021070)
cmickeyb (administrator)
2012-03-09 22:17

Justin: yes, to avoid the problem with multiple connections to a single endpoint, it would be good to add the same code there. i didn't attempt to track down where that construct is being used (or why we have both methods for making calls).
(0021074)
Diva (administrator)
2012-03-10 08:11

I pushed this for wider testing.
[08:10] <CIA-80> opensim: cmickeyb * r7b8e9d88e38e /OpenSim/Framework/WebUtil.cs: Serialize all web requests to a particular host:port pair; only applied to the PostToService variants.
(0021850)
cmickeyb (administrator)
2012-07-20 10:53

applied

- Issue History
Date Modified Username Field Change
2012-03-07 12:00 cmickeyb New Issue
2012-03-07 12:00 cmickeyb Status new => assigned
2012-03-07 12:00 cmickeyb Assigned To => cmickeyb
2012-03-07 12:00 cmickeyb File Added: SerializeWebRequests.patch
2012-03-09 17:41 justincc Note Added: 0021066
2012-03-09 17:43 Diva Note Added: 0021067
2012-03-09 20:41 Diva Note Added: 0021069
2012-03-09 22:17 cmickeyb Note Added: 0021070
2012-03-10 08:11 Diva Note Added: 0021074
2012-07-20 10:53 cmickeyb Note Added: 0021850
2012-07-20 10:53 cmickeyb Status assigned => resolved
2012-07-20 10:53 cmickeyb Fixed in Version => master (dev code)
2012-07-20 10:53 cmickeyb Resolution open => fixed
2014-07-29 13:41 chi11ken Status resolved => closed


Copyright © 2000 - 2012 MantisBT Group
Powered by Mantis Bugtracker